# \automating

automating Class of the back-end application

Contains the different function to automate some action

## Summary

Methods
Properties
Constants
__construct()
action()
No public properties found
No constants found
No protected methods found
$compute
$image
$network
$networkLayer3
$app
N/A
createPublicServer()
No private properties found
N/A

File
  core/Automating.php
Package
  Default
Class hierarchy
  \automating
Implements
  \Core

## Tags

None found

## Properties

### $compute

    $compute : \App

#### Type

\App — protected, contains a Core compute object

#

## Tags

None found

### $image

    $image : \App

#### Type

\App — protected, contains a Core image object

#

## Tags

None found

### $network

    $network : \App

#### Type

\App — protected, contains a Core network object

#

## Tags

None found

### $networkLayer3

    $networkLayer3 : \App

#### Type

\App — protected, contains a Core networkLayer3 object

#

## Tags

None found

### $app

    $app : \App

#### Type

\App — protected, contains the main app object

#

## Tags

None found

## Methods

### __construct()

    __construct(\App  $app) : \automating

automating class constructor

#### Parameters

\App | $app | the main app object

#### Returns

\automating —

Object

#

## Tags

None found

### action()

    action(String  $action) : void

Execute an action

#### Parameters

String | $action | name of another function of this class

#

## Tags

None found

### createPublicServer()

    createPublicServer() : void

create a new server and associate a public ip

#

## Tags

None found

### Automating.php